package com.company.test.view.icons

import com.vaadin.flow.component.dependency.JsModule
import com.vaadin.flow.component.icon.Icon
import com.vaadin.flow.component.icon.IconFactory

@JsModule("./icons/ts-icons.js")
enum class TsIcons : IconFactory {
    ADD_CONN_PNT,
    ADD_STREAM;

    override fun create(): Icon {
        return Icon(name.lowercase().replace('_', '-').replace("^-".toRegex(), ""))
    }

    class Icon internal constructor(icon: String?) : com.vaadin.flow.component.icon.Icon("ts-icons", icon)
}